Skip to main content
POST
/
v1
/
addresses
/
{addressId}
/
transfer
/
estimate-gas
Execute address transfer quote
curl --request POST \
  --url https://api.xentfi.com/v1/addresses/{addressId}/transfer/estimate-gas \
  --header 'Content-Type: application/json' \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>' \
  --data '
{
  "assets": [
    {
      "assetId": "69d851b9-c358-4359-becd-3e614ca1ab4d",
      "recipient": "0x742d35Cc6634C0532925a3b844Bc9e7595f0b5b5",
      "amount": "0.001"
    }
  ]
}
'
{
  "data": {
    "assets": [
      {
        "amount": "<string>",
        "asset": {
          "id": "69d851b9-c358-4359-becd-3e614ca1ab4d",
          "name": "Euro Coin",
          "symbol": "EURC",
          "decimals": 6,
          "address": "0x08210F9170F89Ab7658F0B5E3fF39b0E03C594D4",
          "standard": "ERC20",
          "logoUrl": "https://example.com/eurc-logo.png",
          "isActive": true,
          "network": "mainnet",
          "isNative": false,
          "configurations": null,
          "blockchain": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "slug": "<string>",
            "symbol": "<string>",
            "isActive": true,
            "isEvmCompatible": true,
            "chainId": 123,
            "logoUrl": "<string>",
            "tokenStandard": "<string>",
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z"
          },
          "blockchainId": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
          "createdAt": "2026-02-26T15:10:53.032Z",
          "updatedAt": "2026-02-26T15:10:53.032Z"
        },
        "blockchain": {
          "id": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
          "name": "Base",
          "slug": "base-mainnet",
          "symbol": "ETH",
          "isActive": true,
          "isEvmCompatible": true,
          "configurations": null,
          "chainId": 8453,
          "logoUrl": "https://example.com/base-logo.png",
          "tokenStandard": "ERC20",
          "createdAt": "2023-04-28T14:44:06.397Z",
          "updatedAt": "2024-11-26T15:26:18.785Z"
        },
        "destinationAddress": "<string>"
      }
    ],
    "estimatedFee": {
      "amount": "<string>",
      "value": "<string>",
      "callGasLimit": "<string>",
      "verificationGasLimi": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

addressId
string
required

Body

application/json
assets
object[]
required

Response

Gas fee estimation successful

data
object